<ion-modal-view class="pag-comentarios">
  <ion-header-bar>
    <h1 class="title">{{driver.nombre}}</h1>
    <button class="button button-clear button-primary" ng-click="modal.hide()"><i class="ion-ios-close-empty"></i></button>
  </ion-header-bar>
  <ion-content>
    <div class="wrap-sin-calificacion" ng-if="!driver.puntaje">
      El punto de servicio no ha sido calificado previamente.
    </div>
    <div class="wrap-star" ng-if="driver.puntaje">
      <div class="row row-bottom">
        <div class="col">
          <div class="puntaje-driver">
            {{driver.puntaje}}
            <i class="ion-thumbsup"></i>
          </div>
        </div>
        <div class="col">
          <div class="list-star" ion-ios-star-half>
            <i class="positive icon" ng-class="(driver.puntaje >= 1) ? 'ion-ios-star' : 'ion-ios-star-outline'"></i>
            <i class="positive icon" ng-class="(driver.puntaje >= 1.5 && driver.puntaje < 2) ? 'ion-ios-star-half' : ((driver.puntaje >= 2) ? 'ion-ios-star' : 'ion-ios-star-outline')"></i>
            <i class="positive icon" ng-class="(driver.puntaje >= 2.5 && driver.puntaje < 3) ? 'ion-ios-star-half' : ((driver.puntaje >= 3) ? 'ion-ios-star' : 'ion-ios-star-outline')"></i>
            <i class="positive icon" ng-class="(driver.puntaje >= 3.5 && driver.puntaje < 4) ? 'ion-ios-star-half' : ((driver.puntaje >= 4) ? 'ion-ios-star' : 'ion-ios-star-outline')"></i>
            <i class="positive icon" ng-class="(driver.puntaje >= 4.5 && driver.puntaje < 5) ? 'ion-ios-star-half' : ((driver.puntaje >= 5) ? 'ion-ios-star' : 'ion-ios-star-outline')"></i>
          </div>
        </div>
      </div>
    </div>


    <div class="wrap-comentario" ng-if="driver.comentarios.length > 0">
      <ion-list>
        <ion-item ng-repeat="comentario in driver.comentarios" ng-if="comentario.contenido">
          <div class="row row-center">
            <div class="col-10 ">
              <div class="calificacion-comentario">
                <!--{
                                <i class="ion-star"></i>-->
                <i class="ion-person"></i>
              </div>
            </div>
            <div class="col">
              <div class="comentario-contenido">
                {{comentario.contenido}}
              </div>
            </div>
          </div>
        </ion-item>
      </ion-list>
    </div>

  </ion-content>
</ion-modal-view>
